/*
 * $Id: imonlcd.h,v 1.1 1999/06/15 21:07:16 lars Exp lars $
 *
 * LCDproc ISDN bargraph transfer rate client
 * based on code from imonlcd by Lars Wessels
 * which
 * includes code stolen from isdn4linux/imontty.c by Volker Gtz
 *
 * Copyright (c) 2003 Hendrik Lipka <ibargraph@hendriklipka.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 *
 */

#define  CLIENTNAME 	"ibargraph"
#define  SCREENTITLE 	" ISDN Graph Display "
#define  BUFSIZE		10 + (22 * ISDN_MAX_CHANNELS)
#define  MAXTOKENS  	32

#define MAX_STR_LEN		512
#define ISDN_INFO_DEV		"/dev/isdninfo"

typedef struct {
    char  *idmap;
    int   chmap;
    int   usage;
    char  *type;
    char  *phone;
} channel_info;

void clean_exit (int);
void alarm_exit (int);
void usage(void);
void scan_int(char *buffer, int (*field)[], int);
void scan_str(char *buffer, char *field[], int);
int check_isdn_status (FILE *, channel_info *);
int parse_server_reply(char *buffer, char *field[]);
int read_isdn_info (FILE *, channel_info *);
int init_screen(void);

typedef struct {
        unsigned long ibytes;
        unsigned long obytes;
} Siobytes;


